WP6CharacterGroup_FontFaceChangeSubGroup Class Reference documentation

WP6CharacterGroup_FontFaceChangeSubGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup_FontFaceChangeSubGroup:

## Public Member Functions
| WP6CharacterGroup_FontFaceChangeSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned short sizeDeletable)
| ~WP6CharacterGroup_FontFaceChangeSubGroup () override
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Member Functions
| WP6CharacterGroup_FontFaceChangeSubGroup (const WP6CharacterGroup_FontFaceChangeSubGroup &)
WP6CharacterGroup_FontFaceChangeSubGroup & | operator= (const WP6CharacterGroup_FontFaceChangeSubGroup &)

## Private Attributes
unsigned short | m_oldMatchedPointSize
unsigned short | m_hash
unsigned short | m_matchedFontIndex
unsigned short | m_matchedFontPointSize
std::unique_ptr< WP6FontDescriptorPacket > | m_packet

## Constructor & Destructor Documentation

## ◆ WP6CharacterGroup_FontFaceChangeSubGroup() [1/2]

WP6CharacterGroup_FontFaceChangeSubGroup::WP6CharacterGroup_FontFaceChangeSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned short | sizeDeletable )

Referenced by operator=(), and WP6CharacterGroup_FontFaceChangeSubGroup().

## ◆ ~WP6CharacterGroup_FontFaceChangeSubGroup()

WP6CharacterGroup_FontFaceChangeSubGroup::~WP6CharacterGroup_FontFaceChangeSubGroup | ( |  | ) |
| override

## ◆ WP6CharacterGroup_FontFaceChangeSubGroup() [2/2]

WP6CharacterGroup_FontFaceChangeSubGroup::WP6CharacterGroup_FontFaceChangeSubGroup | ( | const WP6CharacterGroup_FontFaceChangeSubGroup & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

WP6CharacterGroup_FontFaceChangeSubGroup & WP6CharacterGroup_FontFaceChangeSubGroup::operator= | ( | const WP6CharacterGroup_FontFaceChangeSubGroup & |  | ) |
| private

## ◆ parse()

void WP6CharacterGroup_FontFaceChangeSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs ) const
| overridevirtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## ◆ m_hash

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_hash
| private

Referenced by WP6CharacterGroup_FontFaceChangeSubGroup().

## ◆ m_matchedFontIndex

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_matchedFontIndex
| private

Referenced by WP6CharacterGroup_FontFaceChangeSubGroup().

## ◆ m_matchedFontPointSize

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_matchedFontPointSize
| private

Referenced by parse(), and WP6CharacterGroup_FontFaceChangeSubGroup().

## ◆ m_oldMatchedPointSize

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_oldMatchedPointSize
| private

Referenced by WP6CharacterGroup_FontFaceChangeSubGroup().

## ◆ m_packet

std::unique_ptr<WP6FontDescriptorPacket> WP6CharacterGroup_FontFaceChangeSubGroup::m_packet
| private

Referenced by parse(), and WP6CharacterGroup_FontFaceChangeSubGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp